Bug 89417 - Crash when activating Tools > Options > LibreOffice > View > use hardware acceleration
Summary: Crash when activating Tools > Options > LibreOffice > View > use hardware acc...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: framework (show other bugs)
Version:
(earliest affected)
4.4.1.1 rc
Hardware: Other All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: BSA target:4.5.0
Keywords:
Depends on:
Blocks:
 
Reported: 2015-02-16 14:31 UTC by Cor Nouws
Modified: 2015-02-20 16:22 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
extension doing the settings (2.92 KB, application/vnd.openofficeorg.extension)
2015-02-16 14:55 UTC, Cor Nouws
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Cor Nouws 2015-02-16 14:31:27 UTC
doing so, displays LibreOffice Fatal Error message "configmngr modification of finalized item"
and then Crash
Comment 1 Cor Nouws 2015-02-16 14:32:43 UTC
Versie: 4.4.1.1 
Build ID: b5ac74bf8683a92078a2bc8aff97d4b436af63cb
Locale: nl_NL
Comment 2 Cor Nouws 2015-02-16 14:38:06 UTC
Ah, interesting... I have an extension installed that does some settings for the options on that page.

- Disabling that extension
- First attempt to set the option hardware acceleration leads to the same crash
- but after restart, the option is set (was not before)
- and in this situation, I'm able to (dis-)able without a crash...

Looks as a problem more for configuration then graphics, so changing the component
Comment 3 Cor Nouws 2015-02-16 14:55:28 UTC
Created attachment 113434 [details]
extension doing the settings

note the Canvas.xcu in the extension:
	<prop oor:name="ForceSafeServiceImpl" oor:op="fuse" oor:finalized="true">
	    <value>true</value>
	</prop>
Comment 4 Cor Nouws 2015-02-16 14:59:11 UTC
Additional test:

- enable extension again.
- touch setting hardware acceleration > crash

- disable extension again.
- restart LibreOffice
- touch setting hardware acceleration > fine


@stephan: one for you probably ?
Comment 5 Caolán McNamara 2015-02-16 16:36:56 UTC
Well its the oor:finalized="true" which makes it throw the "configmgr modification of finalized item" exception
Comment 6 Stephan Bergmann 2015-02-16 16:50:36 UTC
When configmgr is asked to change a finalized value via

  xNameReplace->replaceByName( OUString("ForceSafeServiceImpl"),
                               makeAny(!_bEnabled) );

in CanvasSettings::EnabledHardwareAcceleration (cui/source/options/optgdlg.cxx) it throws a css::lang::IllegalArgumentException in configmgr::Access::checkFinalized (configmgr/source/access.cxx) that is apparently not handled properly.

The Options dialog appears to handle the possibility of the underlying configuration value being finalized for only a few of the configuration values exposed through the dialog.  One example is m_pFileDialogCB/m_pFileDlgROImage in OfaMiscTabPage (also cui/source/options/optgdlg.cxx), which is supposed to show a lock and disable the checkbox of "Use LbireOffice dialogs" when the underlying configuration value is finalized.
Comment 7 Caolán McNamara 2015-02-17 13:14:53 UTC
http://cgit.freedesktop.org/libreoffice/core/commit/?id=a96acacb91197a04e8fd9114d8c4bcda24372f54 will suffice for this checkbox, just disable it if its read-only
Comment 8 Commit Notification 2015-02-18 23:19:35 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a96acacb91197a04e8fd9114d8c4bcda24372f54

Resolves: tdf#89417 disable hardware accel checkbox if property is readonly

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.